Subject: Re: [PATCH] tracing: fix a build error on alpha and m68k

From: Geert Uytterhoeven <[email-masked]>
Date: Sat, 1 Nov 2008 11:16:52 +0100 (CET)

On Fri, 31 Oct 2008, Ingo Molnar wrote:
> * Geert Uytterhoeven <[email-masked]> wrote:
> > On Fri, 31 Oct 2008, Alexey Dobriyan wrote:
> > > On Thu, Oct 23, 2008 at 08:34:33PM +0400, Alexey Dobriyan wrote:
> > > > On Thu, Oct 23, 2008 at 07:27:48PM +0200, Frederic Weisbecker wrote:
> > > > > When tracing is enabled, some arch have included <linux/irqflags.h>
> > > > > on their <asm/system.h> but others like alpha or m68k don't.
> > > > > 
> > > > > Build error on alpha:
> > > > > 
> > > > > kernel/trace/trace.c: In function 'tracing_generic_entry_update':
> > > > > kernel/trace/trace.c:658: error: implicit declaration of function 'irqs_disabled_flags'
> > > 
> > > FYI, this error still exists in mainline (7f82f000ed030d1108b4de47d9e2d556092980c6).
> > 
> > Now it hit mainline (I can't be bothered to develop _new_ code to 
> > fix things in -next ;-), I'm implementing irqs_disabled_flags() for 
> > m68k. Stay tuned...
> 
> this (now mainline) commit should have fixed it:
> 
>  9244489: ftrace: handle archs that do not support irqs_disabled_flags
> 
> can you still see problems?

Yes, the "undefined reference to `save_stack_trace'", as already pointed out
by Al. I'm trying his fix now...

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds